France Hardware : Forums de discussion - Découvrez notre nouveau comparateur d'offres Internet
Retrouvez les prix près de chez vous :  
Index du forum | Liste des membres | Liste des groupes | Inscription | F-A-Q | Recherche
Pseudo :    Password :     
29 543 membres enregistrés - 2 069 626 posts - 122 127 topics
Index des forums FH  | Index des forums DegroupNews
      Systèmes et Logiciels Alternatifs
           Ubuntu 12.04 - problème pilote VGA
107 connectés(record : 2799 le 29 May 2016 - 15 h 34)

Vous devez vous connecter pour répondre au topic.
1,2 | Suivant
Ubuntu 12.04 - problème pilote VGA

Vhan
(¯`·.__[T3aM.DiC0©]__.·´¯)

Messages : 6 441
Inscrit le 16/12/02
Ville : Lyon 3
Non connecté
  Posté le 11 December 2012 - 20 h 04 m 31 s
Rappel :


Le 30 octobre 2012 - 23 h 32, Vhan a écrit :
Ca n'a pas grand chose à voir avec la sauce, mais j'avais pas utilisé ubuntu depuis plusieurs semaine et je l'ai relancé aujourd'hui, et je me rend compte que les drivers graphique de mon ATI ne sont plus activés. Je lance l'activation, il télécharge les pilotes et les i il me dit que l'activation est impossible....

"Désolé, l'installation de ce pilote a échoué.

Veuillez consulter le fichier journal pour plus de renseignements: /var/log/jockey.log"
le fichier log me dit [un truc beaucoup trop long pour être posté] mais que m'apporte perso aucun info.



Le 02 novembre 2012 - 23 h 34, alaingre a écrit :
Salut

Tu aurais pu créer un autre fil de discussion...

D'après ce que je crois me rappelé tu est sur ubuntu 12.01 par contre je ne me souvient plus de ta carte ATI

La commande suivante permettrait de l'identifier


lspci -nn | grep VGA


Les pilotes additionnels ATI ne sont pas forcément nécessaire si avec les pilotes libre tu bénéficies déjà de l’accélération matérielle

Pour le savoir tu peux lancer

glxinfo | grep "direct rendering"


et tu choisis le fglrx
direct rendering yes veut dire que c'est bien le cas

Ou bien installer mesa-utils et utiliser la commande glxinfo
http://doc.ubuntu-fr.org/catalyst#glxinfo

Si ce n'est pas le cas tu peux rester sur le pilote libre des dépôts d'ubuntu mais avec une version plus récente par un dépot qui s'appelle ppa:xorg-edgers/ppa

L'installation est expliquée ici http://doc.ubuntu-fr.org/radeon

Maintenant -si cela ne suffit pas ou bien que tu veuilles vraiment le pilote propriétaire
tu peux relancer ton choix avec

gksudo jockey-gtk


Tu peux aussi commencer par la en choisissant de désactiver le pilote utilisé pour refaire l'installation

lspci -nn | grep VGA :

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI Barts XT [ATI Radeon HD 6800 Series] [1002:6738]

glxinfo | grep "direct rendering"

X Error of failed request: BadRequest (invalid request code or no such operation)
Major opcode of failed request: 138 (ATIFGLEXTENSION)
Minor opcode of failed request: 66 ()
Serial number of failed request: 13
Current serial number in output stream: 13


J'ai tenté l'installation du pilote libre pour radeon, mais sans succès. Tout semblait s'être installé et ubuntu m'a demandé de redémarrer pour finir l'installation. Mais au démarrage, rien de neuf, et toujours les même lenteur d'affichage, etc.


a partir de la, j'suis un peu perdu parce que tout ce que j'ai pu essayer donne le même résultat : rien...
:hot:

Ah oui... je suis sous ubuntu 64 bits.
J'ai trouvé ça :
http://askubuntu.com/questions/129597/how-do-i-fix-my-installation-of-ati-catalyst-video-drivers-in-12-04-lts/131027#131027
et ça :
http://ubuntuforums.org/showthread.php?t=1969827



Message édité 1 fois, la dernière par Vhan le 11 December 2012 - 20 h 15.

[img]http://sigsimg.gamona.de/sigs/diablo3/3a1/024/9328fc0ce1367e8db99e0d4c29.png[/img]

Vhan
(¯`·.__[T3aM.DiC0©]__.·´¯)

Messages : 6 441
Inscrit le 16/12/02
Ville : Lyon 3
Non connecté
  Posté le 11 December 2012 - 20 h 32 m 44 s
C'est le caca, grave :/

J'ai suivi les infos pour désinstaller les pilotes ATI pour recommancer une install propre des drivers vu qu'il semble que ça soit un bug d'utilisation du kernel (si j'ai bien compris), et bref, la j'ai plus rien d'autre que la console. Plus aucun accès graphique....

Après les fenêtres "the système is running in low-graphics mode"
Je continue quand même en mode terminal:

$ sudo rm /etc/X11/xorg.conf
Réponse : aucun fichier ou dossier de ce type
$ sudo apt-get install --reinstall libgl1-mesa-glx:i386 libgl1-mesa-dri:i386 xserver-xorg-core
Réponse : lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des information d'état... Fait
E: impossible de trouver le paquet libgll-mesa-gmx:i386
E: impossible de trouver le paquet libgll-mesa-dri:i386


Message édité 1 fois, la dernière par Vhan le 11 December 2012 - 20 h 54.

[img]http://sigsimg.gamona.de/sigs/diablo3/3a1/024/9328fc0ce1367e8db99e0d4c29.png[/img]

alaingre
Keep It Simple, Stupid

Messages : 3 518
Inscrit le 27/11/03
Ville : grenoble
Non connecté
  Posté le 12 December 2012 - 21 h 34 m 41 s
Salut

J'ai jeté un coup d'oeil sur tes liens ..
http://askubuntu.com/questions/129597/how-do-i-fix-my-installation-of-ati-catalyst-video-drivers-in-12-04-lts/131027#131027

Et j'ai vu que as essayé de désinstaller un pilote ... que tu n'as pas installé.
En effet la procédure décrite par le lien correspond à l'installation du pilotes propriétaire mais pas le pilotes propriétaire que tu as installé à partir des dépôts d'ubuntu (ou d'un dépot complémentaire ppa) mais à partir d'un exécutable (.run) fourni par le site d'ATI. Méthode qu'il vaut mieux éviter (*)

Mais le second lien permet de remonter sur un rapport de bug qui
dit que l'intalleur glrx-installer ne fonctionne plus
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040

Ce qui est également le cas pour la version 12.10 d'ubuntu
6.1.1.1. fglrx-installer not working with AMD Radeon™ HD/Mobility Radeon™ HD 4000, 3000 or 2000 series graphics card in Quantal
For more on this, please see https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040.


(*) Malheureusement c'est peut être la seule solution qui marcherais pour avoir un pilotes performant
https://help.ubuntu.com/community/BinaryDriverHowto/ATI

Mais tu peux déjà essayer de remettre d'applomb le driver disponible dans les dépos en ligne de commande

je te traduit la manip
Commence par faire le ménage :


sudo apt-get remove --purge fglrx fglrx-amdcccle

et

sudo apt-get remove --purge fglrx-updates fglrx-amdcccle-updates


Reboot avec la commande

sudo reboot


et réinstalle

sudo apt-get install fglrx fglrx-amdcccle


puis génère un nouveau fichier de configuration avant de rebooter avec la commande

sudo aticonfig --initial



Si au reboot tu n'as pas encoreun affichage normal il faudrait mettre à jour le chargeur d'amorceage grub (*) avec la commande

sudo update-grub


(*) je me souviens que tu avais changé grub pour burg il faudra donc sans doute relancer l'installation de burg sur le mbr car ... En cas de mise à jour du kernel, burg n'est plus actif et c'est de nouveau grub qui est actif. Il faut relancer la commande d'installation


sudo burg-install "(hd0)"


http://doc.ubuntu-fr.org/burg

(hd0 si tu l'avais installé sur ton premier disque dur)

CORRECTIF du 18/12/2012 - si burg est déjà installé il suffit de le mettre à jour manuellement avec la commande


sudo update-burg



Message édité 12 fois, la dernière par alaingre le 17 December 2012 - 22 h 50.

Un système d'exploitation libre et gratuit ça n'existe pas ! c'est effectivement ce que je me dis chaque fois que j'installe un système GNU/Linux sur un ordinateur. Je suis en train d'installer un truc qui n'existe pas !

Vhan
(¯`·.__[T3aM.DiC0©]__.·´¯)

Messages : 6 441
Inscrit le 16/12/02
Ville : Lyon 3
Non connecté
  Posté le 16 December 2012 - 20 h 54 m 32 s
Merci encore une fois pour ton aide.

Alors une fois que j'ai fait le nettoyage et rebooté je suis repassé à une interface graphique standard.
Tout est resté configuré comme avant le plantage.
J'ai tout de même continué en terminal pour réinstaller le pilote FGLRX et générer le fichier de config.
J'update pas grub pour le moment, dans l'attente de voir ce qui se passe pour la suite (c'était pas burg qui me permet de générer le dualboot avec windows ??)


le fait est que par contre, j'ai toujours les problèmes de saccade dans les mouvement de fenêtre, et je peux plus redimensionner les fenêtre en 1/2 écran à droite et à gauche.
En allant dans la fenêtre des pilotes additionnels: ni le "pilote propriétaire ATI/AMD pour cartre graphique FGLRX", ni le "pilote graphique FGLRX propriétaire ATI/AMD (mises à jour postérieures à la sortie d'ubuntu)" ne sont activés.
normalement, la commande "sudo apt-get install fglrx fglrx-amdcccle" n'était pas sensé activer l'un ou l'autre ?

------------------------------

Au oui, en bas à droite, maintenant, j'ai un petit rectangle qui est apparu avec le logo AMD grisé derrière est 'testing use only" inscrit dessus.
J'ai quand même tenté d'activer l'une ou l'autre des version du pilote FGLRX dans la fenêtre de paramètre de pilotes additionnels.
Pour le premier : pilote propriétaire ATI/AMD pour cartre graphique FGLRX. J'ai la même erreur qu'avant. Il télécharge le fichier puis plante.

Pour le second, j'ai une nouvelle erreur :
"désolé, ubuntu 12.04 a rencontré une erreur interne
executablepath
/usr/bin/jockey-gtk
et plein d'autres info ensuite...

-------------------------------

Et donc après cet erreur, impossible de booter de nouveau avec une interface graphique.
Je me suis de nouveau retrouvé en low-graphic mode.
Re-néttoyage de l'ensemble, et tout est de nouveau rentré dans l'ordre sans avoir réinstallé les pilots FGLRX.

non de non, mais qu'est ce qui plante ??


Message édité 2 fois, la dernière par Vhan le 16 December 2012 - 21 h 16.

[img]http://sigsimg.gamona.de/sigs/diablo3/3a1/024/9328fc0ce1367e8db99e0d4c29.png[/img]

alaingre
Keep It Simple, Stupid

Messages : 3 518
Inscrit le 27/11/03
Ville : grenoble
Non connecté
  Posté le 17 December 2012 - 22 h 43 m 03 s
Salut


Pour le second, j'ai une nouvelle erreur :
"désolé, ubuntu 12.04 a rencontré une erreur interne
executablepath
/usr/bin/jockey-gtk
et plein d'autres info ensuite...


jockey-gtk c'est le petit programme d'aide à l’utilisateur qui lui permet d'installer (de manière graphique) un pilote propriétaire disponible dans un dépôt
Comme tu l'as constaté il n'arrive pas à finir le travail ...


J'update pas grub pour le moment, dans l'attente de voir ce qui se passe pour la suite (c'était pas burg qui me permet de générer le dualboot avec windows ??)


Burg comme grub sont des chargeur de démarrage du système (bootloader) il indique sur quelle version du noyau le système doit démarrer
Donc burg comme grub doivent être mise à jour lorsqu'on change de noyaux (ce qui arrive fréquemment au fur à mise des mise à jour du système)
Si on ne fait pas et si l'on utilise un pilote propriétaire (ati ou nvidia) c'est à coup sûr que ce pilote ne fonctionnera pas > au mieux tu passes en "basse résolution"

Pour grub la mise à jours fait automatiquement après la mise à jour du noyau mais pour burg je ne l'utilise pas et j'ai un doute
D'ailleurs en regardant ce post j'ai bien l'impression que cela ne se fait pas automatiquement et qu'on a besoin de lui forcer la main

http://askubuntu.com/questions/4905/how-to-automatically-update-burg-after-a-kernel-update


Re-néttoyage de l'ensemble, et tout est de nouveau rentré dans l'ordre sans avoir réinstallé les pilots FGLRX.
non de non, mais qu'est ce qui plante ??


Après "nettoyage" tu te retrouves peut être bien dans la situation ou tu n’utilises plus que le pilote libre (pas le fglrx qui est le pilotes propriétaire)
et qui peut fonctionner quelque soit le noyau utilisé

Donc pour résumer - si tu utilises burg il te faut faire manuellement un

sudo update-burg

après une mise à jour du noyau. Si cela se trouve c'est la seule chose qui aurait été à faire pour régler tes problèmes depuis le départ

Pour ce qui de l'utilitaire gtk-jockey qui plante pour les pilotes ATI - pas tellement d'autre solution que de s'en passer et de faire l'installation en ligne de commande comme je te l'ai indiqué.

Allez je suis sur que tu vas y arriver :hello:

PS depuis 10 ans j'ai toujours vu plus de problème sur ATI que sur Nvidia sous linux donc j'achète du nvidia.


Message édité 5 fois, la dernière par alaingre le 18 December 2012 - 22 h 12.

Un système d'exploitation libre et gratuit ça n'existe pas ! c'est effectivement ce que je me dis chaque fois que j'installe un système GNU/Linux sur un ordinateur. Je suis en train d'installer un truc qui n'existe pas !

alaingre
Keep It Simple, Stupid

Messages : 3 518
Inscrit le 27/11/03
Ville : grenoble
Non connecté
  Posté le 20 December 2012 - 20 h 35 m 05 s
Salut

Si tu veux installé les pilotes de l'éditeur (c'est à dire à partir du fichier fourni par ati - c'est plus simple qu'un binaire mais c'est aussi à faire à la main mais c'est peut être le seul moyen d'avoir un pilotes qui exploite correctement ta carte

http://neosting.net/aide-tutoriel/installer-drivers-ati-catalyst-ubuntu-12-04.html?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed%3A+neostingblog+%28Le+petit+journal+de+NeoSting%29

PS - le reste du site est à voir



Message édité 1 fois, la dernière par alaingre le 20 December 2012 - 20 h 36.

Un système d'exploitation libre et gratuit ça n'existe pas ! c'est effectivement ce que je me dis chaque fois que j'installe un système GNU/Linux sur un ordinateur. Je suis en train d'installer un truc qui n'existe pas !

Vhan
(¯`·.__[T3aM.DiC0©]__.·´¯)

Messages : 6 441
Inscrit le 16/12/02
Ville : Lyon 3
Non connecté
  Posté le 21 December 2012 - 09 h 21 m 49 s
Salut salut,

Bon, j'ai mis a jour burg ET grub.
J'ai relancé l'installation des pilotes fglrx en ligne de commande. J'ai pu redémarrer, mais aucun changement, si ce n'est que le carré grisé en bas à droite avec le logo AMD me dit "unsupported hardware" :/

glxinfo | grep "direct rendering"

X Error of failed request: BadRequest (invalid request code or no such operation)
Major opcode of failed request: 139 (ATIFGLEXTENSION)
Minor opcode of failed request: 66 ()
Serial number of failed request: 13
Current serial number in output stream: 13


et pourtant si je relance une installation :
sudo apt-get install fglrx fglrx-amdcccle

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
fglrx-amdcccle est déjà la plus récente version disponible.
fglrx est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.




Ensuite, j'ai suivi tout ça :


Le 20 décembre 2012 - 20 h 35, alaingre a écrit :
Salut

Si tu veux installé les pilotes de l'éditeur (c'est à dire à partir du fichier fourni par ati - c'est plus simple qu'un binaire mais c'est aussi à faire à la main mais c'est peut être le seul moyen d'avoir un pilotes qui exploite correctement ta carte

http://neosting.net/aide-tutoriel/installer-drivers-ati-catalyst-ubuntu-12-04.html?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed%3A+neostingblog+%28Le+petit+journal+de+NeoSting%29

PS - le reste du site est à voir

mais ça change rien. J'ai toujours le même résultat au fglrxinfo....

la je pige plus...


Message édité 3 fois, la dernière par Vhan le 21 December 2012 - 12 h 13.

[img]http://sigsimg.gamona.de/sigs/diablo3/3a1/024/9328fc0ce1367e8db99e0d4c29.png[/img]

alaingre
Keep It Simple, Stupid

Messages : 3 518
Inscrit le 27/11/03
Ville : grenoble
Non connecté
  Posté le 21 December 2012 - 18 h 49 m 45 s
Salut

Dans ce cas tu ne "risques plus grand chose" à essayer directement le pilote ATI

la version 64 et 32 bit est récupérable ici
http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.42&lang=English

1) Comme expliqué sur cette page à la section 3.2 tu dois rendre le fichier exécutable
soit en utilisant une commande
Soit un clic droit sur le fichier .rin > propriétés et cocher la case exécutable

2) Puis lancer l'installation
Soit en utilisant une commande
Soit par un clic droit sur le fichier .run - lancer

3) Puis création d'un nouveau fichier de configuration

sudo amdconfig --initial


Et enfin reboot

PS - j'ai une carte ATI sous la main (c'est une HD 3000 mais pas une HD 6800)
je vais voir si j'ai les même soucis que toi ....

Puis reboot


Message édité 1 fois, la dernière par alaingre le 21 December 2012 - 18 h 51.

Un système d'exploitation libre et gratuit ça n'existe pas ! c'est effectivement ce que je me dis chaque fois que j'installe un système GNU/Linux sur un ordinateur. Je suis en train d'installer un truc qui n'existe pas !

Vhan
(¯`·.__[T3aM.DiC0©]__.·´¯)

Messages : 6 441
Inscrit le 16/12/02
Ville : Lyon 3
Non connecté
  Posté le 15 January 2013 - 13 h 40 m 10 s
Bon... J'ai rééssayé toute la procédure, en partant d'un bon nettoyage, mais au final, me flrxinfo me donne toujours et inlassablement la même info :

X Error of failed request: BadRequest (invalid request code or no such operation)
Major opcode of failed request: 139 (ATIFGLEXTENSION)
Minor opcode of failed request: 66 ()
Serial number of failed request: 13
Current serial number in output stream: 13


pourtant, quand j'ai installé ubuntu au départ, ça marchait super bien... Je crois qu'il me reste qu'une seule solution : changer de carte graphique....



[img]http://sigsimg.gamona.de/sigs/diablo3/3a1/024/9328fc0ce1367e8db99e0d4c29.png[/img]

alaingre
Keep It Simple, Stupid

Messages : 3 518
Inscrit le 27/11/03
Ville : grenoble
Non connecté
  Posté le 15 January 2013 - 18 h 59 m 00 s
Salut

Avant d'en passer par la (même si avec nvidia il n'y a presque jamais de soucis) je te conseille de faire un essai avec un live CD (en français l'on doit dire maintenant CD autonome) de manjaro linux

C'est une distribution linux dont le live CD qui donne le choix au boot de lancer avce les pilotes propriétaires (ati ou nvidia)

Tu n'auras donc pas besoin d'installer quoi que ce soit pour voir si ta carte supporte correctement les pilotes propriétaires sous linux
Si tout fonctionnait correctement (affichage 3 D compris) alors ça doit pouvoir fonctionner aussi avec ubuntu.



http://sourceforge.net/projects/manjarolinux/files/release/0.8.3/

La version de base est sous xfce mais rien ne t'empêche de choisir une autre version comme gnome (que j'utilise) ou mate ou cinamon ou même l'open box (c'est la plus petite en taille d'iso mis à part la version non graphique (net édition) - prends une 64 bit

Après si tu veux migrer sous manjaro
http://manjaro.fr/forum/viewtopic.php?f=14&t=305


Message édité 3 fois, la dernière par alaingre le 15 January 2013 - 20 h 33.

Un système d'exploitation libre et gratuit ça n'existe pas ! c'est effectivement ce que je me dis chaque fois que j'installe un système GNU/Linux sur un ordinateur. Je suis en train d'installer un truc qui n'existe pas !

Vhan
(¯`·.__[T3aM.DiC0©]__.·´¯)

Messages : 6 441
Inscrit le 16/12/02
Ville : Lyon 3
Non connecté
  Posté le 16 January 2013 - 19 h 11 m 57 s
Bon, je suis sous manjaro.
Difficile de dire si les frivers sont bien pris en chage.
L'interface est somme toute assez sommaire et j'ai pas vu de choses évidentes comme sous ubuntu comme par exemple la redimention automatique des fenetres sur les demi écran à droite et à gauche... Mais peut être que ça le fait normalement et que ça signifierai que les pilotes propriétaires ne fonctionnent pas.
Je cherche le temrinal (ou équivalent) pour langer un glxinfo et voir ce que ça donne :P



edit:
glxinfo | grep "direct rendering"

direct rendering: YES


lspci -nn | grep VGA

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI Barts XT [Radeon HD 6800 Series] [1002:6738]


fglrxinfo

display: :0.0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 6800 Series
OpenGL version string: 4.2.11995 Compatibility Profile Context


Donc ils marchent ?


MAJ un peu plus tard ... :D

En démarrant SANS les pilotes propriétaires je me suis rendu compte que les lignes de code au chargement sont en résolution bien plus haute (écrit plus petit quoi).
Ensuite :
glxinfo | grep "direct rendering"

direct rendering : YES


lspci -nn | grep VGA

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI Barts XT [Radeon HD 6800 Series] [1002:6738]


fglrxinfo

bash: fglrxinfo : commande introuvable


Message édité 3 fois, la dernière par Vhan le 16 January 2013 - 19 h 32.

[img]http://sigsimg.gamona.de/sigs/diablo3/3a1/024/9328fc0ce1367e8db99e0d4c29.png[/img]

alaingre
Keep It Simple, Stupid

Messages : 3 518
Inscrit le 27/11/03
Ville : grenoble
Non connecté
  Posté le 16 January 2013 - 20 h 55 m 18 s
Salut

Autant pour moi comme l'on dit car le contenu de la 8.3 a été remanié et le pilote ati non libre (legacy catalys) supprimé

.4 System / General

update base-packages (all package-lists got optimized)
updated efi-support: replace gummiboot with rEFInd
Xorg-Server 1.13.1
Kernel 3.4.23 (3.5.7.2, 3.6.10, 3.7.0 optional)
Bluetooth service removed
systemd-196 and nvidia-legacy 304.64 added
catalyst-legacy removed
SystemD with readahead disabled
.bashrc updated

Repris dans la news en français sur les nouveautés de la 83
http://www.manjaro.fr/forum/viewtopic.php?f=26&t=232

Donc c'est plutôt normal que tu ne vois pas la différence mais s'ils l'on retirer c'est qu'il posait sans doute des problèmes ??

Le pilote libre ati que tu utilises n'exploite pas toutes les performance de ta carte mais il permet tout de même d'avoir l'accélération graphique, voir la 3 D selon les cartes.

Maintentant - sous manjaro qui est une archlinux, l'ajout d'un dépot et l'installation de catalys est possible mais pas en live cd

Pour cela jaurais du te dire de récupérer la version 8.2 pour faire ton test

Si tu ne veux pas graver un cd - l'utilisation d'une clé ubs bootable est possible - mais pas avec unetbootin
le plus simple (mis à par la commande dd) c'est imagewriter (y compris sous windows)

http://www.manjaro.fr/forum/viewtopic.php?f=17&t=250&start=0

S'agissant de l'interface - le redimensionnement auto des fenêtres lorsqu'on approche la souris du coin supérieur gauche existe dans la version gnome (celle que je préfère) et finalement à l'usage gnome 3 est assez modulable - notamment avec des extensions. Il y peut j'ai découvert shellshape qui permet d'activer un mode tilling et cela peut être intéressant pour certains usages (monitoring ..) http://gfxmonk.net/shellshape/

PS parmi les extensions en rapport avec la carte graphique j'utilise aussi celle qui donne la température du GPU (nvidia only)
https://extensions.gnome.org/extension/541/nvidia-gpu-temperature-indicator/


Message édité 8 fois, la dernière par alaingre le 16 January 2013 - 21 h 22.

Un système d'exploitation libre et gratuit ça n'existe pas ! c'est effectivement ce que je me dis chaque fois que j'installe un système GNU/Linux sur un ordinateur. Je suis en train d'installer un truc qui n'existe pas !

Vhan
(¯`·.__[T3aM.DiC0©]__.·´¯)

Messages : 6 441
Inscrit le 16/12/02
Ville : Lyon 3
Non connecté
  Posté le 17 January 2013 - 18 h 22 m 17 s
Pourtant avec le Live CD, quand je sélectionnais la langue française, j'avais bien les deux possibilité de lancement (mais effectivement pas en anglais)



[img]http://sigsimg.gamona.de/sigs/diablo3/3a1/024/9328fc0ce1367e8db99e0d4c29.png[/img]

alaingre
Keep It Simple, Stupid

Messages : 3 518
Inscrit le 27/11/03
Ville : grenoble
Non connecté
  Posté le 17 January 2013 - 22 h 16 m 17 s
Oui l'option "utiliser les pilotes propriétaire" est toujours présente mais elle ne lance plus que les pilotes nvidia




Un système d'exploitation libre et gratuit ça n'existe pas ! c'est effectivement ce que je me dis chaque fois que j'installe un système GNU/Linux sur un ordinateur. Je suis en train d'installer un truc qui n'existe pas !

alaingre
Keep It Simple, Stupid

Messages : 3 518
Inscrit le 27/11/03
Ville : grenoble
Non connecté
  Posté le 12 February 2013 - 22 h 30 m 06 s
Allo la terre .....

Un pas à pas sur l'installation du pilote proprio sous ubuntu 12.04 si tu n'as pas abandonné depuis
http://grawok.wordpress.com/2013/02/03/installer-les-drivers-amd-catalyst-sous-linux/

Même s'il faut passer par quelques étapes intermédiaires "la méthode du vieux maître zen" est préférable


Message édité 3 fois, la dernière par alaingre le 12 February 2013 - 22 h 55.

Un système d'exploitation libre et gratuit ça n'existe pas ! c'est effectivement ce que je me dis chaque fois que j'installe un système GNU/Linux sur un ordinateur. Je suis en train d'installer un truc qui n'existe pas !

Vhan
(¯`·.__[T3aM.DiC0©]__.·´¯)

Messages : 6 441
Inscrit le 16/12/02
Ville : Lyon 3
Non connecté
  Posté le 05 March 2013 - 19 h 11 m 54 s


Le 12 février 2013 - 22 h 30, alaingre a écrit :
Allo la terre .....

Un pas à pas sur l'installation du pilote proprio sous ubuntu 12.04 si tu n'as pas abandonné depuis
http://grawok.wordpress.com/2013/02/03/installer-les-drivers-amd-catalyst-sous-linux/

Même s'il faut passer par quelques étapes intermédiaires "la méthode du vieux maître zen" est préférable

J'avoue que la, j'me suis un peu lassé.
Suite à ton message, j'ai re-tenté d'installer ces drivers. J'ai commencé par faire toutes les mises à jour en attente, puis le nettoyage que tu m'avais conseillé plus haut, j'ai ensuite téléchargé la dernière version non-bêta des drivers ATI et j'ai suivi pas à pas l'installation "Maître Zen" indiqué dans ton lien...
Au lieu de me trouver avec :

$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 6320 Graphics
OpenGL version string: 4.2.12002 Compatibility Profile Context 9.012


J'ai, encore et toujours

$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 6320 Graphics
OpenGL version string: 4.2.12002 Compatibility Profile Context 9.012


$ fgl_glxgears me donnant très exactement le même résultat.

Bref, donc maintenant, j'attend de
1. pouvoir acheter une carte nvidia au moins aussi puissante que mon ATI pour pas cher
ou
2. une version des drivers qui marchera
ou
3. une nouvelle version d'Ubuntu qui posera moins de problème avec les drivers ATI.



Tiens, d'ailleurs, je viens de remarquer quelque chose :
malgré toutes les mises à jours faites, l'icone "DETAILS" des paramètres système m'indique toujours que je suis en 12.04. Est ce qu'il ne devrait pas me dire que je suis en 12.10 ??



[img]http://sigsimg.gamona.de/sigs/diablo3/3a1/024/9328fc0ce1367e8db99e0d4c29.png[/img]

alaingre
Keep It Simple, Stupid

Messages : 3 518
Inscrit le 27/11/03
Ville : grenoble
Non connecté
  Posté le 06 March 2013 - 20 h 43 m 47 s
Salut

Content d'avoir de tes nouvelles ...


Tiens, d'ailleurs, je viens de remarquer quelque chose :
malgré toutes les mises à jours faites, l'icone "DETAILS" des paramètres système m'indique toujours que je suis en 12.04. Est ce qu'il ne devrait pas me dire que je suis en 12.10 ??


Pour simplifier l'on peut dire que tant que les sources de logiciel de ton système sont ceux de 12:04 tu resteras sur cette version

Le passage à la version suivante reste possible (*) sans réinstallation mais tant qu'ubuntu n'aura pas adopter le système des "rolling release" - ce point est à l'étude pour la prochaine version LTS - la réinstallation est souvent plus sûre.




Un système d'exploitation libre et gratuit ça n'existe pas ! c'est effectivement ce que je me dis chaque fois que j'installe un système GNU/Linux sur un ordinateur. Je suis en train d'installer un truc qui n'existe pas !

Vhan
(¯`·.__[T3aM.DiC0©]__.·´¯)

Messages : 6 441
Inscrit le 16/12/02
Ville : Lyon 3
Non connecté
  Posté le 07 March 2013 - 08 h 50 m 12 s
C'est peut être utile que je passe en 12.10 alors ? Histoire de voir si cette version la améliore la stabilité des drivers ATI ?

Si je réinstalle le système pour passer en 12.10, est ce qu'il faudra que je refasse tout mon dual boot ? (l'interface avec grub et burg ?)
Ou est ce que c'est plutot une "mise à niveau" dans le même genre que le passage de windows vista à windows 7 ou win 7 à win 8 ? (auquel cas, je vais garder ce que j'ai déjà installé/configuré sur ubuntu)



[img]http://sigsimg.gamona.de/sigs/diablo3/3a1/024/9328fc0ce1367e8db99e0d4c29.png[/img]

alaingre
Keep It Simple, Stupid

Messages : 3 518
Inscrit le 27/11/03
Ville : grenoble
Non connecté
  Posté le 07 March 2013 - 23 h 42 m 19 s
Salut

Avant de passer éventuellement à un upgrade complet j'ai trouvé un utilisateur d'ATI sous ubuntu qui a développer un utilitaire graphique - utilisable sur la version 12:04 et la version 12:10 il suffit de choisir le .deb qui correspond à l'architecture de ta distribution (64 ou 32 bit)

http://sourceforge.net/projects/uaci/

Le programme se charge de détecter ton matériel et te proposer la ou les versions qui peuvent être installée et pour ta 6320 elle supporte la version 13.1 du pilotes ATI (selon le site d'ati)

Voici quelques explications supplémentaires sur l'utilisation du programme
http://www.thefanclub.co.za/how-to/ubuntu-amd-catalyst-install

Si malgré ça ton installation coince toujours le passage à la version 12:10 peut se faire au choix, soit par un upgrade non destructif - soit par une réinstallation complète (un peu comme pour certaines versions de windows).

Voici la procédure d'upgrade pour éviter la réinstallation complète :
Déjà faire un peu de ménage avec deux coup de balais

sudo apt-get autoclean

sudo apt-get autoremove

Ensuite lancer le processus avec la commande update-manager -d
Cliquer sur le bouton "réglage" en bas à gauche du gestionnnaire de mise à jour
Pour accéder au panneau des source de logiciel pour modifier les options de la dernière ligne
"m'avertir d'une nouvelle version ” and sélectionner ‘pour toute nouvelle version".
Ensuite tu fermes le tout et lorsque toutes les mise à jour auront été faite tu verras apparaître une option "installer la version 12:10" (c'est une traduction approximative mais c'est assez simple à suivre)

copie d'écran http://www.omgubuntu.co.uk/2012/10/how-to-upgrade-ubuntu-12-04-to-ubuntu-12-10

Attention c'est généralement beaucoup plus long que de faire une nouvelle installation !!!

Pour burg, bien qu'il ne soit plu développé il est possible de l'utiliser sur la 12:10 en ajoutant un ppa
http://linuxmotion.com/tutorials/80-how-to-install-burg-in-ubuntu-12-10

Puis en procédant à l'installation de burg proprement dit
http://forums.france-hardware.com/discussion/systeme-logiciel-windows/systemes_exploitation/sujet-123420-2.html

Maintenant - je n'ai jamais testé un upgrade complet avec burg - et je ne peux pas te confirmer que tout ira bien c'est pourquoi si j'étais à ta place je ferais plutôt une nouvelle installation (sur la même partition) qui écraserait l'ancienne et c'est seulement après avoir régler éventuel problème de pilotes ati que installerais burg à la place de grub


Message édité 5 fois, la dernière par alaingre le 08 March 2013 - 00 h 28.

Un système d'exploitation libre et gratuit ça n'existe pas ! c'est effectivement ce que je me dis chaque fois que j'installe un système GNU/Linux sur un ordinateur. Je suis en train d'installer un truc qui n'existe pas !

Vhan
(¯`·.__[T3aM.DiC0©]__.·´¯)

Messages : 6 441
Inscrit le 16/12/02
Ville : Lyon 3
Non connecté
  Posté le 08 March 2013 - 11 h 07 m 17 s


Le 07 mars 2013 - 23 h 42, alaingre a écrit :
Salut

Avant de passer éventuellement à un upgrade complet j'ai trouvé un utilisateur d'ATI sous ubuntu qui a développer un utilitaire graphique - utilisable sur la version 12:04 et la version 12:10 il suffit de choisir le .deb qui correspond à l'architecture de ta distribution (64 ou 32 bit)

http://sourceforge.net/projects/uaci/

Le programme se charge de détecter ton matériel et te proposer la ou les versions qui peuvent être installée et pour ta 6320 elle supporte la version 13.1 du pilotes ATI (selon le site d'ati)

Voici quelques explications supplémentaires sur l'utilisation du programme
http://www.thefanclub.co.za/how-to/ubuntu-amd-catalyst-install


ah putain !!! :


Failed to build Ubuntu DEB installation packages


sérieux, y a vraiment en soucis.
Est ce que ça peut venir d'un programme tier ?



[img]http://sigsimg.gamona.de/sigs/diablo3/3a1/024/9328fc0ce1367e8db99e0d4c29.png[/img]

1,2 | Suivant
Page genérée en 0.7882 secondes par RahForum 2.0 | Gzip off |  Stats |  Metaforums |  RSS
© 2004 Cerbere Systems.
Prix Matériel Informatique | Informatique Lyon | Informatique Grenoble | Informatique Annecy | Informatique Marseille | Informatique Bordeaux | Forum Informatique
ADSL | Actualité ADSL | Deligo | Appareil photo | Commande Au Volant
Creative Commons
Message Boards and Forums Directory